#include "TagEditWidgetFactory.h"
#include "TagEditWidget.h"

TagEditWidgetFactory::TagEditWidgetFactory()
	: IxWidgetFactory()
{
}

TagEditWidgetFactory::~TagEditWidgetFactory()
{
}

void TagEditWidgetFactory::create(qx::IxDataMember* dataMember, QWidget* parent)
{
	widget = new TagEditWidget(parent);
}

QString TagEditWidgetFactory::type() const
{
	return TagEditWidget::type;
}

QWidget* TagEditWidgetFactory::getWidget() const
{
	return widget;
}

IxWidget* TagEditWidgetFactory::getIxWidget() const
{
	return widget;
}
